E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::Filter::Exit Struct Reference

Interprets an executable filter's exit code. More...

`#include <gfilter.h>`

## Public Member Functions
| Exit (int exit_code, bool server_side)
bool | ok () const
bool | abandon () const
bool | fail () const

## Public Attributes
Result | result
bool | special

## Detailed Description

Interprets an executable filter's exit code.

Definition at line 101 of file gfilter.h.

## Constructor & Destructor Documentation

## ◆ Exit()

GSmtp::Filter::Exit::Exit | ( | int | exit_code,
|  | bool | server_side
| ) |  |

Definition at line 41 of file gfilter.cpp.

## Member Function Documentation

## ◆ abandon()

bool GSmtp::Filter::Exit::abandon | ( |  | ) | const

Definition at line 104 of file gfilter.cpp.

## ◆ fail()

bool GSmtp::Filter::Exit::fail | ( |  | ) | const

Definition at line 109 of file gfilter.cpp.

## ◆ ok()

bool GSmtp::Filter::Exit::ok | ( |  | ) | const

Definition at line 99 of file gfilter.cpp.

## Member Data Documentation

## ◆ result

Result GSmtp::Filter::Exit::result

Definition at line 107 of file gfilter.h.

## ◆ special

bool GSmtp::Filter::Exit::special

Definition at line 108 of file gfilter.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilter.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilter.cpp